.onAttach <- function(libname, pkgname){
  if (!interactive()) return()
  Rcmdr <- options()$Rcmdr
  plugins <- Rcmdr$plugins
  if (!pkgname %in% plugins) {
    Rcmdr$plugins <- c(plugins, pkgname)
    options(Rcmdr = Rcmdr)
    if("package:Rcmdr" %in% search()) {
      if(!getRcmdr("autoRestart")) {
        options(Rcmdr = Rcmdr)
        closeCommander(ask = FALSE, ask.save = TRUE)
        Commander()
      }
    }
    else {
      Commander()
    }
  }
}

if(getRversion() >= "2.15.1"){
  utils::globalVariables(c("top", "buttonsFrame"), add = TRUE)}

.check_model <- function(model) {
  if(!inherits(model, "lm")) stop("Benoetigt ein Modell der Klasse 'lm'.",
                                  call. = F)

  coefs <- names(coefficients(model))
  has.intercept <- "(Intercept)" %in% coefs
  npred <- length(setdiff(coefs, "(Intercept)"))
  if(!has.intercept | npred != 1)
    stop("Benoetigt ein lineares Modell mit Intercept und genau einer erklaerenden Variable.",
         call. = F)
}
