\name{scatterplotRegression}
\alias{scatterplotRegression}
\alias{ScatterplotRegression}
\title{Streudiagramm mit Regressionsgerade und Konfidenzbaendern}

\description{
Zeichnet die Beobachtungen eines Linearen Modells in Form eines Streudiagramms
und deren Regressionsgerade. Weiters werden die Konfidenzbaender der
Regressionsgerade (enges Band) und des Vorhersagewertes (weites Band)
dargestellt.
}

\usage{
scatterplotRegression(model)
ScatterplotRegression()
}

\arguments{
  \item{model}{Ein Objekt der Klasse 'lm' (lineares Modell).}
}

\details{
\code{ScatterplotRegression} ist ein Wrapper um \code{scatterplotRegression}
und verwendet das akutelle Modell des R-Commanders.
}

\value{
Plot eines Streudiagramms mit Regressionsgeraden und Konfidenzbaendern.
}

\examples{
gras <- data.frame(grasanteil = c(0, 5, 10, 15, 20, 25, 30, 35),
                   ertrag = c(116.8, 117.1, 115.4, 118.3, 118.8,
                              124.6, 120.5, 122.7))
lm1 <- lm(ertrag ~ grasanteil, data = gras)
scatterplotRegression(lm1)
}
